(ns 1-gb-api.api.-hosting-iis-api-
  (:require [1-gb-api.core :refer [call-api check-required-params with-collection-format]])
  (:import (java.io File)))

(defn iis-list-get-with-http-info
  "Список сайтов IIS"
  [-token- ]
  (call-api "/iis/list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn iis-list-get
  "Список сайтов IIS"
  [-token- ]
  (:data (iis-list-get-with-http-info -token-)))

