(ns 1-gb-api.api.-my-sql-postgres
  (:require [1-gb-api.core :refer [call-api check-required-params with-collection-format]])
  (:import (java.io File)))

(defn database-list-get-with-http-info
  "Список аккаунтов в базах данных UNIX
  Возвращает список зарегистрированных аккаунтов в базах данных MySQL и Postgres. Для вычисления имени домена необходимо объединить имя базы данных,
	 идентификатор сервера и суффикс (поле url_suffix). Например, если ID сервера равен 123 (значит это MySQL — см. описание поля 'server' в ответе), а суффикс равен '1gb.ru', то домен
	 для доступа будет равен 'mysql123.1gb.ru'."
  [-token- ]
  (call-api "/database/list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn database-list-get
  "Список аккаунтов в базах данных UNIX
  Возвращает список зарегистрированных аккаунтов в базах данных MySQL и Postgres. Для вычисления имени домена необходимо объединить имя базы данных,
	 идентификатор сервера и суффикс (поле url_suffix). Например, если ID сервера равен 123 (значит это MySQL — см. описание поля 'server' в ответе), а суффикс равен '1gb.ru', то домен
	 для доступа будет равен 'mysql123.1gb.ru'."
  [-token- ]
  (:data (database-list-get-with-http-info -token-)))

