(ns 1-gb-api.api.-hosting-ftp-api-
  (:require [1-gb-api.core :refer [call-api check-required-params with-collection-format]])
  (:import (java.io File)))

(defn ftp-list-get-with-http-info
  "Получить список зарегистрированных аккаунтов FTP"
  [-token- ]
  (call-api "/ftp/list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn ftp-list-get
  "Получить список зарегистрированных аккаунтов FTP"
  [-token- ]
  (:data (ftp-list-get-with-http-info -token-)))

