(ns 1-gb-api.api.-microsoft-sql-server
  (:require [1-gb-api.core :refer [call-api check-required-params with-collection-format]])
  (:import (java.io File)))

(defn mssql-list-get-with-http-info
  "Получить список аккаунтов в MSSQL"
  [-token- ]
  (call-api "/mssql/list" :get
            {:path-params   {}
             :header-params {}
             :query-params  {"_token_" -token- }
             :form-params   {}
             :content-types ["application/json"]
             :accepts       ["application/json"]
             :auth-names    []}))

(defn mssql-list-get
  "Получить список аккаунтов в MSSQL"
  [-token- ]
  (:data (mssql-list-get-with-http-info -token-)))

